org.eclipse.oomph.setup.impl

## Class ProjectToStreamMapEntryImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.oomph.setup.impl.ProjectToStreamMapEntryImpl

- All Implemented Interfaces:
    Map.Entry<Project,Stream>, Notifier, BasicEMap.Entry<Project,Stream>, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject

      public class ProjectToStreamMapEntryImpl
      extends MinimalEObjectImpl.Container
      implements BasicEMap.Entry<Project,Stream>

  An implementation of the model object 'Project To Stream Map Entry'.

  The following features are implemented:

  - `Key`
  - `Value`
  - `Selection`
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `InternalEObject.EStore`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `hash`
    `protected Project` | `key` The cached value of the '`Key`' reference.
    `protected boolean` | `selection` The cached value of the '`Selection`' attribute.
    `protected static boolean` | `SELECTION_EDEFAULT` The default value of the '`Selection`' attribute.
    `protected Stream` | `value` The cached value of the '`Value`' reference.

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ProjectToStreamMapEntryImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Project` | `basicGetTypedKey()`
    `Stream` | `basicGetTypedValue()`
    `Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
    `boolean` | `eIsSet(int featureID)`
    `void` | `eSet(int featureID, Object newValue)`
    `protected EClass` | `eStaticClass()`
    `void` | `eUnset(int featureID)`
    `EMap<Project,Stream>` | `getEMap()`
    `int` | `getHash()`
    `Project` | `getKey()`
    `Project` | `getTypedKey()`
    `Stream` | `getTypedValue()`
    `Stream` | `getValue()`
    `boolean` | `isSelection()`
    `void` | `setHash(int hash)`
    `void` | `setKey(Project key)`
    `void` | `setSelection(boolean newSelection)`
    `void` | `setTypedKey(Project newKey)`
    `void` | `setTypedValue(Stream newValue)`
    `Stream` | `setValue(Stream value)`
    `String` | `toString()`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map.Entry

      `equals, hashCode`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eNotify`

- - ### Field Detail

    - #### key

          protected Project key

      The cached value of the '`Key`' reference.
      See Also:
        `getTypedKey()`
      Generated
      Ordered

    - #### value

          protected Stream value

      The cached value of the '`Value`' reference.
      See Also:
        `getTypedValue()`
      Generated
      Ordered

    - #### SELECTION_EDEFAULT

          protected static final boolean SELECTION_EDEFAULT

      The default value of the '`Selection`' attribute.
      See Also:
        `isSelection()`, Constant Field Values
      Generated
      Ordered

    - #### selection

          protected boolean selection

      The cached value of the '`Selection`' attribute.
      See Also:
        `isSelection()`
      Generated
      Ordered

    - #### hash

          protected int hash

      Generated

  - ### Constructor Detail

    - #### ProjectToStreamMapEntryImpl

          protected ProjectToStreamMapEntryImpl()

      Generated

  - ### Method Detail

    - #### eStaticClass

          protected EClass eStaticClass()

      Overrides:
        `eStaticClass` in class `BasicEObjectImpl`
      Generated

    - #### getTypedKey

          public Project getTypedKey()

      Generated

    - #### basicGetTypedKey

          public Project basicGetTypedKey()

      Generated

    - #### setTypedKey

          public void setTypedKey(Project newKey)

      Generated

    - #### getTypedValue

          public Stream getTypedValue()

      Generated

    - #### basicGetTypedValue

          public Stream basicGetTypedValue()

      Generated

    - #### setTypedValue

          public void setTypedValue(Stream newValue)

      Generated

    - #### isSelection

          public boolean isSelection()

      Generated

    - #### setSelection

          public void setSelection(boolean newSelection)

      Generated

    - #### eGet

          public Object eGet(int featureID,
                    boolean resolve,
                    boolean coreType)

      Specified by:
        `eGet` in interface `InternalEObject`
      Overrides:
        `eGet` in class `BasicEObjectImpl`
      Generated

    - #### eSet

          public void eSet(int featureID,
                  Object newValue)

      Specified by:
        `eSet` in interface `InternalEObject`
      Overrides:
        `eSet` in class `BasicEObjectImpl`
      Generated

    - #### eUnset

          public void eUnset(int featureID)

      Specified by:
        `eUnset` in interface `InternalEObject`
      Overrides:
        `eUnset` in class `BasicEObjectImpl`
      Generated

    - #### eIsSet

          public boolean eIsSet(int featureID)

      Specified by:
        `eIsSet` in interface `InternalEObject`
      Overrides:
        `eIsSet` in class `BasicEObjectImpl`
      Generated

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `BasicEObjectImpl`
      Generated

    - #### getHash

          public int getHash()

      Specified by:
        `getHash` in interface `BasicEMap.Entry<Project,Stream>`
      Generated

    - #### setHash

          public void setHash(int hash)

      Specified by:
        `setHash` in interface `BasicEMap.Entry<Project,Stream>`
      Generated

    - #### getKey

          public Project getKey()

      Specified by:
        `getKey` in interface `Map.Entry<Project,Stream>`
      Generated

    - #### setKey

          public void setKey(Project key)

      Specified by:
        `setKey` in interface `BasicEMap.Entry<Project,Stream>`
      Generated

    - #### getValue

          public Stream getValue()

      Specified by:
        `getValue` in interface `Map.Entry<Project,Stream>`
      Generated

    - #### setValue

          public Stream setValue(Stream value)

      Specified by:
        `setValue` in interface `Map.Entry<Project,Stream>`
      Generated

    - #### getEMap

          public EMap<Project,Stream> getEMap()

      Generated

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html